import { type FastlyApiContext } from './api-token.js';
type KVStoreInfo = {
    id: string;
    name: string;
};
export declare function getKVStoreIdForNameMap(fastlyApiContext: FastlyApiContext): Promise<Record<string, string>>;
export declare function getKVStoreIdForName(fastlyApiContext: FastlyApiContext, kvStoreName: string): Promise<string>;
export declare function getKVStoreInfos(fastlyApiContext: FastlyApiContext): Promise<KVStoreInfo[]>;
export declare const _getKVStoreKeys: (fastlyApiContext: FastlyApiContext, operationName: string, kvStoreId: string, prefix?: string | undefined) => Promise<string[]>;
export declare function getKVStoreKeys(fastlyApiContext: FastlyApiContext, kvStoreName: string, prefix?: string): Promise<string[] | null>;
export declare function getKvStoreEntryInfo(fastlyApiContext: FastlyApiContext, kvStoreName: string, key: string): Promise<false | {
    metadata: string | null;
    generation: string | null;
    response: Response;
}>;
export declare function getKvStoreEntry(fastlyApiContext: FastlyApiContext, kvStoreName: string, key: string, metadataOnly?: boolean): Promise<false | {
    metadata: string | null;
    generation: string | null;
    response: Response;
}>;
export declare function kvStoreSubmitFile(fastlyApiContext: FastlyApiContext, kvStoreName: string, key: string, data: Uint8Array | string, metadata: string | undefined): Promise<void>;
export declare function kvStoreDeleteFile(fastlyApiContext: FastlyApiContext, kvStoreName: string, key: string): Promise<void>;
export {};
//# sourceMappingURL=kv-store.d.ts.map